cascading.tuple.hadoop.io

## Class IndexTupleSerializer<T extends IndexTuple>

- java.lang.Object
- - cascading.tuple.hadoop.io.IndexTupleSerializer<T>

All Implemented Interfaces:
  Serializer<T>

Direct Known Subclasses:
  KeyIndexTupleSerializer, ValueIndexTupleSerializer

    public class IndexTupleSerializer<T extends IndexTuple>
    extends java.lang.Object

### Field Summary

Fields
`protected java.util.Map<java.lang.Integer,java.lang.Class[]>` `typeMap`

### Constructor Summary

Constructors
Constructor and Description
`IndexTupleSerializer(TupleSerialization.SerializationElementWriter elementWriter)`

### Method Summary

Methods
`void` `close()`
`protected java.lang.Class[]` `getTypesFor(int ordinal)`
`void` `open(java.io.OutputStream out)`
`void` `serialize(T tuple)`
`protected void` `setWriters(Fields fields)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### typeMap

    protected java.util.Map<java.lang.Integer,java.lang.Class[]> typeMap

### Constructor Detail

#### IndexTupleSerializer

    public IndexTupleSerializer(TupleSerialization.SerializationElementWriter elementWriter)

### Method Detail

#### serialize

    public void serialize(T tuple)
                   throws java.io.IOException

Specified by:
  `serialize` in interface `Serializer<T extends IndexTuple>`
Throws:
  `java.io.IOException`

#### getTypesFor

    protected java.lang.Class[] getTypesFor(int ordinal)

#### setWriters

    protected void setWriters(Fields fields)

#### open

    public void open(java.io.OutputStream out)

Specified by:
  `open` in interface `Serializer<T extends Tuple>`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `Serializer<T extends Tuple>`
Throws:
  `java.io.IOException`